commit:     b92e65ba848fea002de09eee3ed8859bbca1a3b4
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 16 08:37:55 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Oct 17 06:04:15 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b92e65ba

dev-ruby/windows_error: EAPI 8; add ruby30

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 .../windows_error/windows_error-0.1.2-r1.ebuild    | 23 ++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/dev-ruby/windows_error/windows_error-0.1.2-r1.ebuild 
b/dev-ruby/windows_error/windows_error-0.1.2-r1.ebuild
new file mode 100644
index 00000000000..4f9c1ea42e1
--- /dev/null
+++ b/dev-ruby/windows_error/windows_error-0.1.2-r1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="reference for standard Windows API Error Codes"
+HOMEPAGE="https://github.com/rapid7/windows_error";
+
+LICENSE="BSD"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+       rm -f .rspec || die
+}

Reply via email to